alias -l ignore.settings {
  set %ignore.delay [ off ]
  set %ignore.delay.timer [ 60 ]
  set %ignore.switches.default [ 2 ]
  set %ignore.type.default [ 2 ]
  .ial on
}
alias vli {
  if ($dialog(ignoreListDialog) == $null) { dialog -dm ignoreListDialog ignoreListDialog }
  else { dialog  -v ignoreListDialog }
}
alias ignore.manager {
  set %ignore.nick [ $1 ]
  if ($dialog(ignoreDialog) == $null) { 
    dialog -m ignoreDialog ignoreDialog 
  }
  else {
    dialog  -v ignoreDialog
    setIgnore
  }
}
dialog ignoreDialog {
  title "Ignore"
  size -1 -1 240 145
  option dbu
  text "Types de Masques :",722,10 8 50 10,left
  radio "",723,8 22 6 6, left push
  edit "",724,17 20 130 10, autohs left read
  radio "",725,8 32 6 6, left push
  edit "",726,17 30 130 10, autohs left read
  radio "",727,8 42 6 6, left push
  edit "",728,17 40 130 10, autohs left read
  radio "",729,8 52 6 6, left push
  edit "",730,17 50 130 10, autohs left read
  radio "",731,8 62 6 6, left push
  edit "",732,17 60 130 10, autohs left read
  radio "",733,8 72 6 6, left push
  edit "",734,17 70 130 10, autohs left read
  radio "",735,8 82 6 6, left push
  edit "",736,17 80 130 10, autohs left read
  radio "",737,8 92 6 6, left push
  edit "",738,17 90 130 10, autohs left read
  radio "",739,8 102 6 6, left push
  edit "",740,17 100 130 10, autohs left read
  box "Types d'ignore :",741,162 8 60 72
  check "Private",742,170 18 43 10, left
  check "Channel",743,170 28 43 10, left
  check "Notice",744,170 38 43 10, left
  check "Ctcps",745,170 48 43 10, left
  check "Invites",746,170 58 43 10, left
  check "Control Codes",747,170 68 43 10, left
  box "Temps :",748,162 86 60 33
  edit "",749,172 94 15 10,left
  text "Secondes",750,188 96 25 10,left
  check "Timer  ON",751,175 106 45 10
  button "Ignorer", 720, 25 125 30 12, ok
  button "Annuler", 721, 60 125 30 12, cancel
  button "Sauvegarder",752, 95 125 40 12
  button "Restaurer(Par Dfaut)",753, 161 125 62 12
}
alias -l  setIgnore {
  var %ign.i = 1
  var %ignore.address.did = 724
  while (%ign.i <= 9) {
    did -ra ignoreDialog %ignore.address.did $address(%ignore.nick,%ign.i)
    inc %ign.i 1
    inc %ignore.address.did 2
  }
  did -c ignoreDialog $calc(721 + 2 * %ignore.type.default)
  unset %ignore.nick
  if (%ignore.delay == on) { did -c ignoreDialog 751 | did -rae ignoreDialog 749 %ignore.delay.timer }
  else { did -u ignoreDialog 751 | did -rab ignoreDialog 749 %ignore.delay.timer }
  %ign.i = 1
  while (%ign.i <= $numtok(%ignore.switches.default,44)) {
    did -c ignoreDialog $calc(741 + $gettok(%ignore.switches.default,%ign.i,44))
    inc %ign.i 1
  }
}
ON *:DIALOG:ignoreDialog:INIT:0:{
  mdx SetMircVersion $version
  mdx MarkDialog $dname
  mdx SetBorderStyle $dname 720 clientedge
  mdx SetBorderStyle $dname 721 clientedge
  mdx SetBorderStyle $dname 752 clientedge
  mdx SetBorderStyle $dname 753 clientedge
  mdx SetColor $dname 722 text $rgb(255,255,255)
  mdx SetColor $dname 722 textbg $rgb(255,0,0)
  mdx SetColor $dname 722 background $rgb(255,0,0)
  mdx SetColor $dname 724 text $rgb(255,255,255)
  mdx SetColor $dname 724 textbg $rgb(0,0,0)
  mdx SetColor $dname 724 background $rgb(0,0,0)
  mdx SetColor $dname 726 text $rgb(255,255,255)
  mdx SetColor $dname 726 textbg $rgb(0,0,0)
  mdx SetColor $dname 726 background $rgb(0,0,0)
  mdx SetColor $dname 728 text $rgb(255,255,255)
  mdx SetColor $dname 728 textbg $rgb(0,0,0)
  mdx SetColor $dname 728 background $rgb(0,0,0)
  mdx SetColor $dname 730 text $rgb(255,255,255)
  mdx SetColor $dname 730 textbg $rgb(0,0,0)
  mdx SetColor $dname 730 background $rgb(0,0,0)
  mdx SetColor $dname 732 text $rgb(255,255,255)
  mdx SetColor $dname 732 textbg $rgb(0,0,0)
  mdx SetColor $dname 732 background $rgb(0,0,0)
  mdx SetColor $dname 734 text $rgb(255,255,255)
  mdx SetColor $dname 734 textbg $rgb(0,0,0)
  mdx SetColor $dname 734 background $rgb(0,0,0)
  mdx SetColor $dname 736 text $rgb(255,255,255)
  mdx SetColor $dname 736 textbg $rgb(0,0,0)
  mdx SetColor $dname 736 background $rgb(0,0,0)
  mdx SetColor $dname 738 text $rgb(255,255,255)
  mdx SetColor $dname 738 textbg $rgb(0,0,0)
  mdx SetColor $dname 738 background $rgb(0,0,0)
  mdx SetColor $dname 740 text $rgb(255,255,255)
  mdx SetColor $dname 740 textbg $rgb(0,0,0)
  mdx SetColor $dname 740 background $rgb(0,0,0)
  mdx SetColor $dname 741 text $rgb(255,255,255)
  mdx SetColor $dname 741 textbg $rgb(255,0,0)
  mdx SetColor $dname 741 background $rgb(255,0,0)
  mdx SetColor $dname 742 text $rgb(255,0,0)
  mdx SetColor $dname 742 textbg $rgb(255,255,255)
  mdx SetColor $dname 742 background $rgb(255,255,255)
  mdx SetColor $dname 743 text $rgb(255,0,0)
  mdx SetColor $dname 743 textbg $rgb(255,255,255)
  mdx SetColor $dname 743 background $rgb(255,255,255)
  mdx SetColor $dname 744 text $rgb(255,0,0)
  mdx SetColor $dname 744 textbg $rgb(255,255,255)
  mdx SetColor $dname 744 background $rgb(255,255,255)
  mdx SetColor $dname 745 text $rgb(255,0,0)
  mdx SetColor $dname 745 textbg $rgb(255,255,255)
  mdx SetColor $dname 745 background $rgb(255,255,255)
  mdx SetColor $dname 746 text $rgb(255,0,0)
  mdx SetColor $dname 746 textbg $rgb(255,255,255)
  mdx SetColor $dname 746 background $rgb(255,255,255)
  mdx SetColor $dname 747 text $rgb(255,0,0)
  mdx SetColor $dname 747 textbg $rgb(255,255,255)
  mdx SetColor $dname 747 background $rgb(255,255,255)
  mdx SetColor $dname 748 text $rgb(255,255,255)
  mdx SetColor $dname 748 textbg $rgb(255,0,0)
  mdx SetColor $dname 748 background $rgb(255,0,0)
  mdx SetColor $dname 750 text $rgb(255,0,0)
  mdx SetColor $dname 750 textbg $rgb(255,255,255)
  mdx SetColor $dname 750 background $rgb(255,255,255)
  mdx SetColor $dname 751 text $rgb(255,0,0)
  mdx SetColor $dname 751 textbg $rgb(255,255,255)
  mdx SetColor $dname 751 background $rgb(255,255,255)
  mdx SetDialog $dname bgcolor $rgb(255,255,255)
  setIgnore
}
ON *:DIALOG:ignoreDialog:SCLICK:751:{
  if ($did(751).state == 1) { did -e ignoreDialog 749 %ignore.delay.timer }
  if ($did(751).state == 0) { did -b ignoreDialog 749 %ignore.delay.timer }
}
ON *:DIALOG:ignoreDialog:SCLICK:753:{ 
  ignore.settings  
  var %ign.i = 1
  var %ignore.address.did = 723
  while (%ign.i <= 9) {
    did -u ignoreDialog %ignore.address.did
    inc %ign.i 1
    inc %ignore.address.did 2
  }
  %ign.i = 1
  %ignore.address.did = 742
  while (%ign.i <= 6) {
    did -u ignoreDialog %ignore.address.did
    inc %ign.i 1
    inc %ignore.address.did 1
  }
  did -c ignoreDialog $calc(721 + 2 * %ignore.type.default)
  if (%ignore.delay == on) { did -c ignoreDialog 751 | did -rae ignoreDialog 749 %ignore.delay.timer }
  else { did -u ignoreDialog 751 | did -rab ignoreDialog 749 %ignore.delay.timer }

  %ign.i = 1
  while (%ign.i <= $numtok(%ignore.switches.default,44)) {
    did -c ignoreDialog $calc(741 + $gettok(%ignore.switches.default,%ign.i,44))
    inc %ign.i 1
  }
}
ON *:DIALOG:ignoreDialog:SCLICK:752:{
  var %ign.i = 1
  var %ignore.address.did = 723
  while (%ign.i <= 9) {
    if ($did(%ignore.address.did).state == 1) { set %ignore.type.default [ %ign.i ] } 
    inc %ign.i 1
    inc %ignore.address.did 2
  }
  %ign.i = 1
  %ignore.address.did = 742
  var %ignore.switches.save
  var %ignore.switches.abbr
  while (%ign.i <= 6) {
    if ($did(%ignore.address.did).state == 1) { 
      if (Private isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 1 }  
      if (Channel isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 2 }  
      if (Notice isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 3 }  
      if (Ctcps isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 4 }  
      if (Invites isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 5 }  
      if (Control isin $did(%ignore.address.did).text) { %ignore.switches.abbr = 6 }  
      %ignore.switches.save = %ignore.switches.save $+ $chr(44) $+ %ignore.switches.abbr
    }
    inc %ign.i 1
    inc %ignore.address.did 1
  }
  set %ignore.switches.default [ $right(%ignore.switches.save,$calc($len(%ignore.switches.save) - 1)) ]
  if ($did(751).state == 1) { set %ignore.delay [ on ] }
  else { set %ignore.delay [ off ] }
  if (($did(749).text != $null) && ($did(749).text isnum) && ($did(749).text >= 0)) { set %ignore.delay.timer [ $did(749).text ] }
  else { 
    if ($did(751).state == 1) { did -rae ignoreDialog 749 %ignore.delay.timer  }
    else { did -rab ignoreDialog 749 %ignore.delay.timer  }
  } 
}
ON *:DIALOG:ignoreDialog:SCLICK:721:close -x
ON *:DIALOG:ignoreDialog:SCLICK:720:{
  var %ign.i = 1
  var %ignore.address.did = 723
  var %ignore.mask
  while (%ign.i <= 9) {
    if ($did(%ignore.address.did).state == 1) { %ignore.mask = $did($calc(%ignore.address.did + 1)).text } 
    inc %ign.i 1
    inc %ignore.address.did 2
  }
  %ign.i = 1
  %ignore.address.did = 742
  var %ignore.switches
  var %ignore.switches.abbr
  while (%ign.i <= 6) {
    if ($did(%ignore.address.did).state == 1) { 
      if (Private isin $did(%ignore.address.did).text) { %ignore.switches.abbr = p }  
      if (Channel isin $did(%ignore.address.did).text) { %ignore.switches.abbr = c }  
      if (Notice isin $did(%ignore.address.did).text) { %ignore.switches.abbr = n }  
      if (Ctcps isin $did(%ignore.address.did).text) { %ignore.switches.abbr = t }  
      if (Invites isin $did(%ignore.address.did).text) { %ignore.switches.abbr = i }  
      if (Control isin $did(%ignore.address.did).text) { %ignore.switches.abbr = k }  
      %ignore.switches = %ignore.switches $+ %ignore.switches.abbr
    }
    inc %ign.i 1
    inc %ignore.address.did 1
  }
  if ((%ignore.mask != $null) && (%ignore.switches)) { 
    if ($did(751).state == 1) { 
      if (($did(749).text != $null) && ($did(749).text isnum) && ($did(749).text >= 0)) { ignore - $+ %ignore.switches $+ u $+ $did(749).text %ignore.mask }
      else { echo $colour(info)  -se 4*** Impossible d'ignorer : Valeur de temps errone... }
    }
    else { ignore - $+ %ignore.switches %ignore.mask }
  }
  else { echo $colour(info)  -se 4*** Impossible d'ignorer : Aucune adresse et/ou types d'ignore slectionn... }
}
dialog ignoreListDialog {
  title "Liste des ignors"
  size -1 -1 155 180
  option dbu
  list 761,10 5 135 50 ,autohs
  box "Types d'ignores :",765,42 78 70 77
  check "Private",766,57 89 35 10
  check "Channel",767,57 99 35 10
  check "Notice",768,57 109 35 10
  check "Ctcps",769,57 119 35 10
  check "Invites",770,57 129 35 10
  check "Control Codes",771,57 139 50 10
  check "Mettre le Systme d'Ignore  ON",772,34 50 105 10
  button "Retirer de la Liste",762,10 62 65 12
  button "Effacer la Liste",763,80 62 65 12
  button "Aide",784,25 162 33 12
  button "Re-Ignorer",764,61 162 33 12
  button "OK", 760, 97 162 33 12, ok
}
alias -l  setIgnoreList {
  %ignore.number = $ignore(0)
  if (%ignore.number != 0) {
    var %ign.i = 1
    while (%ign.i <= %ignore.number) {
      did -a ignoreListDialog 761 $ignore(%ign.i)
      inc %ign.i 1
    }
    ;did -f ignoreListDialog $did(761,1)
    set.ignore.types  1
  }
  else {
    var %message = Aucune Personne Ignore...
    did -a ignoreListDialog 761 %message
  }
  if ($ignore == $true) { did -c ignoreListDialog 772 }
  else { did -u ignoreListDialog 772 }
}
alias -l  set.ignore.types {
  var %ign.j = 766
  while (%ign.j <= 771) {
    did -u ignoreListDialog %ign.j
    inc %ign.j 1
  }      
  %ign.j = 1 
  var %types.max = $numtok($ignore($1).type,44)
  while (%ign.j <= %types.max) {
    if (Private isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 766 }  
    if (Channel isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 767 }  
    if (notice isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 768 }  
    if (ctcp isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 769 }  
    if (invite isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 770 }  
    if (codes isin $gettok($ignore($1).type,%ign.j,44)) { did -c ignoreListDialog 771 }  
    inc %ign.j 1
  }
}
ON *:DIALOG:ignoreListDialog:INIT:0:{
  mdx SetMircVersion $version
  mdx MarkDialog $dname
  mdx SetBorderStyle $dname 760 clientedge
  mdx SetBorderStyle $dname 762 clientedge
  mdx SetBorderStyle $dname 763 clientedge
  mdx SetBorderStyle $dname 764 clientedge
  mdx SetColor $dname 761 text $rgb(255,255,255)
  mdx SetColor $dname 761 textbg $rgb(0,0,0)
  mdx SetColor $dname 761 background $rgb(0,0,0)
  mdx SetColor $dname 765 text $rgb(255,255,255)
  mdx SetColor $dname 765 textbg $rgb(255,0,0)
  mdx SetColor $dname 765 background $rgb(255,0,0)
  mdx SetColor $dname 766 text $rgb(255,0,0)
  mdx SetColor $dname 766 textbg $rgb(255,255,255)
  mdx SetColor $dname 766 background $rgb(255,255,255)
  mdx SetColor $dname 767 text $rgb(255,0,0)
  mdx SetColor $dname 767 textbg $rgb(255,255,255)
  mdx SetColor $dname 767 background $rgb(255,255,255)
  mdx SetColor $dname 768 text $rgb(255,0,0)
  mdx SetColor $dname 768 textbg $rgb(255,255,255)
  mdx SetColor $dname 768 background $rgb(255,255,255)
  mdx SetColor $dname 769 text $rgb(255,0,0)
  mdx SetColor $dname 769 textbg $rgb(255,255,255)
  mdx SetColor $dname 769 background $rgb(255,255,255)
  mdx SetColor $dname 770 text $rgb(255,0,0)
  mdx SetColor $dname 770 textbg $rgb(255,255,255)
  mdx SetColor $dname 770 background $rgb(255,255,255)
  mdx SetColor $dname 771 text $rgb(255,0,0)
  mdx SetColor $dname 771 textbg $rgb(255,255,255)
  mdx SetColor $dname 771 background $rgb(255,255,255)
  mdx SetColor $dname 772 text $rgb(255,0,0)
  mdx SetColor $dname 772 textbg $rgb(255,255,255)
  mdx SetColor $dname 772 background $rgb(255,255,255)
  mdx SetDialog $dname bgcolor $rgb(255,255,255)
  setIgnoreList
}
ON *:DIALOG:ignoreListDialog:sclick:772:if ($did(772).state == 1) { set %ignore.onoff ON | did -e ignorelistdialog 761,762,763,764,765,766,767,768,769,770,771 } | else { set %ignore.onoff OFF | did -b ignorelistdialog 761,762,763,764,765,766,767,768,769,770,771 }
ON *:DIALOG:ignoreListDialog:SCLICK:761:set.ignore.types $did(761).sel
ON *:DIALOG:ignoreListDialog:SCLICK:762:{
  var %no.ignore = Aucune Personne Ignore...
  if (($did(761).sel != $null) && (%no.ignore !isin $did(761,$did(761).sel))) { 
    var %selected.item = $did(761).sel
    ignore -r $did(761,%selected.item)
    did -d ignoreListDialog 761 $did(761).sel 
    var %ign.j = 766
    while (%ign.j <= 771) {
      did -u ignoreListDialog %ign.j
      inc %ign.j 1
    }     
  }
  else { echo $colour(info)  -se 4*** Erreur : Tu n'as rien slectionn... }
}
ON *:DIALOG:ignoreListDialog:SCLICK:763:{
  var %no.ignore = Aucune Personne Ignore...
  var %ignore.number = $ignore(0)
  if  ((%ignore.number != 0) && (%no.ignore !isin $did(761,$did(761).sel))) {
    var %ign.i = 1
    while (%ign.i <= $ignore(0)) {
      did -d ignoreListDialog 761 1
      inc %ign.i 1
    }
    ignore -r
    did -a ignoreListDialog 761 Aucune Personne Ignore...
  }
  else { did -ra ignoreListDialog 761 Aucune Personne Ignore... }
  var %ign.j = 766
  while (%ign.j <= 771) {
    did -u ignoreListDialog %ign.j
    inc %ign.j 1
  }     
}
ON *:DIALOG:ignoreListDialog:SCLICK:764:{
  var %no.ignore = Aucune Personne Ignore...
  if (($did(761).sel != $null) && (%no.ignore !isin $did(761,$did(761).sel))) { 
    var %update.switches
    var %switch.selected = 0
    if ($did(766).state == 1) { %update.switches = %update.switches $+ p | inc %switch.selected 1 }
    if ($did(767).state == 1) { %update.switches = %update.switches $+ c | inc %switch.selected 1 }
    if ($did(768).state == 1) { %update.switches = %update.switches $+ n | inc %switch.selected 1 }
    if ($did(769).state == 1) { %update.switches = %update.switches $+ t | inc %switch.selected 1 }
    if ($did(770).state == 1) { %update.switches = %update.switches $+ i | inc %switch.selected 1 }
    if ($did(771).state == 1) { %update.switches = %update.switches $+ k | inc %switch.selected 1 }
    if (%switch.selected >= 1) { 
      var %selected.item = $did(761).sel
      .ignore -r $did(761,%selected.item)
      ignore - $+ %update.switches $did(761,%selected.item)
      did -c ignoreListDialog 772
    }    
    else { echo $colour(info)  -se 4*** Mise--jour de l'ignore: IMPOSSIBLE ( Tu as oubli de choisir un type d'ignore ) }
  }
  else { echo $colour(info)  -se 4*** Mise--jour de l'ignore: IMPOSSIBLE ( Aucun usager valide slectionn ) }
}
ON *:DIALOG:ignoreListDialog:SCLICK:760:{
  if ($did(772).state == 1) { 
    .ignore on 
    if ($ignore(0) != 0) { echo $colour(info)  -se 12*** Ignore = ON }
  }
  else { 
    if ($ignore(0) != 0) { echo $colour(info)  -se 4*** Ignore = OFF }
    .ignore off 
  }
}
ON *:DIALOG:ignoreListDialog:SCLICK:784:{ aide | did -c aide 2 $didwm(aide,2,Ignors*) | .loadbuf -ro aide 3 aide\Ignors.txt }

#ircop.netscan off
raw 352:*:{ haltdef | did -a $ircop.scanner 11 $6 }
raw 315:*:{ haltdef | did -ra $ircop.scanner 11 Aucun IRC-OP trouv | .disable #ircop.netscan }
#ircop.netscan end
#ircop.chanscan off
raw 352:*:{ haltdef | if (* isin $7) did -a $ircop.scanner 12 $6 }
raw 315:*:{ haltdef | did -ra $ircop.scanner 12 Aucun IRC-OP trouv | .disable #ircop.chanscan }
#ircop.netscan end

dialog IrcOp.scanner.dialog {
  Title "Scanneur d'IRC-OP"
  Size -1 -1 159 103
  Option DBU
  Button "OK", 1, 63 89 30 12, Ok Default
  Box "Rseau", 5, 3 2 73 84
  Box "Canal", 6, 79 2 77 84
  Button "Scanner", 8, 22 70 35 12
  Button "Scanner", 9, 83 70 35 12
  Button "Actualiser", 19, 118 70 35 12
  Combo 10, 83 54 69 100, Sort Drop
  list 11, 7 12 65 66, sort autovs autohs
  list 12, 83 12 69 41, sort autovs autohs
}
alias ircop-scan { dialog -m $ircop.scanner $ircop.scanner }
alias -l ircop.scanner { return ircop.scanner.dialog }
alias -l ircop.rechan { 
  did -r $ircop.scanner 10 1 | ircop.addchan | did -c $ircop.scanner 10 1 
  if ($did($ircop.scanner,10) ischan) { did -e $ircop.scanner 9 }
  else { did -b $ircop.scanner 9 }
}
alias -l ircop.scan { 
  if ($1 == net) { .enable #ircop.netscan | who 0 o }
  elseif ($1 == chan) { .enable #ircop.chanscan | who $did($ircop.scanner,10,$did($ircop.scanner,10).sel).text }
}
alias -l ircop.addchan {
  var %~ircop.channum = 0
  while (%~ircop.channum >= 0) {
    inc %~ircop.channum
    var %~ircop.chan = $chan(%~ircop.channum)
    if (%~ircop.chan == $null) { goto Break }
    did -a $ircop.scanner 10 %~ircop.chan
  }
  :Break
}
on *:DIALOG:ircop.scanner.dialog:init:0:{ 
  mdx SetMircVersion $version
  mdx MarkDialog $dname
  mdx SetBorderStyle $dname 1 clientedge
  mdx SetBorderStyle $dname 8 clientedge
  mdx SetBorderStyle $dname 9 clientedge
  mdx SetBorderStyle $dname 19 clientedge
  mdx SetColor $dname 5 text $rgb(255,255,255)
  mdx SetColor $dname 5 textbg $rgb(80,120,155)
  mdx SetColor $dname 5 background $rgb(80,120,155)
  mdx SetColor $dname 6 text $rgb(255,255,255)
  mdx SetColor $dname 6 textbg $rgb(80,120,155)
  mdx SetColor $dname 6 background $rgb(80,120,155)
  mdx SetColor $dname 11 text $rgb(0,255,0)
  mdx SetColor $dname 11 textbg $rgb(0,0,0)
  mdx SetColor $dname 11 background $rgb(0,0,0)
  mdx SetColor $dname 12 text $rgb(0,255,0)
  mdx SetColor $dname 12 textbg $rgb(0,0,0)
  mdx SetColor $dname 12 background $rgb(0,0,0)
  mdx SetDialog $dname bgcolor $rgb(80,120,155)
  if ($server) { ircop.addchan | did -c $ircop.scanner 10 1 }
  else { did -b $ircop.scanner 8,9,10,19 }
  if ($did(10,$did(10).sel) == $null) { did -b $ircop.scanner 9 }
}
on *:DIALOG:ircop.scanner.dialog:sclick:*:{
  if ($did == 1) { $iif($dialog($ircop.ctcp),dialog -x $ircop.ctcp) | unset %~ircop.* }
  if ($did == 2) { $iif($dialog($ircop.ctcp),dialog -x $ircop.ctcp) | unset %~ircop.* }
  if ($did == 8) { did -r $ircop.scanner 11 | $ircop.scan(net) }
  if ($did == 9) { did -r $ircop.scanner 12 | $ircop.scan(chan) }
  if ($did == 19) { ircop.rechan }
}
on *:DIALOG:ircop.scanner.dialog:dclick:*:{
  if ($did == 11) { if ($server) whois $did(11,$did(11).sel) }
  if ($did == 12) { if ($server) whois $did(12,$did(12).sel) }
}
on *:CONNECT:{ 
  if ($dialog($ircop.scanner)) { 
    did -e $ircop.scanner 8,10,19
    if ($did($ircop.scanner,10)) { did -e $ircop.scanner 9 }
  }
}
on *:DISCONNECT:{ 
  if ($dialog($ircop.scanner)) { did -b $ircop.scanner 8,9,10,19 }
}
on me:JOIN:#:{ ircop.rechan }
on me:PART:#:{ ircop.rechan }
