alias starting {
  dialog -m arf arf
}
;***************************************************
;   tableau principal
;***************************************************

dialog arf {
  title "Barman Script"
  option dbu

  size -1 -1 160 160
  tab "config"  ,1, 2 -1 156 130


  ;***************************************************
  ;   1ere page du tableau
  ;***************************************************
  text "nick:"                       ,10, 45 25 20 10
  text "alternative:"                ,12, 30 37 26 10
  text "info:"                       ,14, 45 51 20 10
  text "user"                       ,16, 45 63 20 10

  edit $readini mirc.ini mirc nick   ,11, 57 23 45 11
  edit $readini mirc.ini mirc anick  ,13, 57 35 45 11
  edit $readini mirc.ini mirc user   ,15, 57 49 80 11
  edit $readini mirc.ini mirc email ,17, 57 61 80 11

  box "Serveur:"                     , 18, 20 75 113 46
  combo                                19, 30 85 50 75  , drop
  button "add"                       ,111, 82 85 20 11
  button "del"                       ,112, 103 85 20 11
  button "connection"                ,113, 30 100 40 15
  button "multi-serveur"                ,114, 80 100 40 15

  button "ok"                     ,69 , 50 133 30 15, ok
  button "cancel"                 ,70 , 90 133 30 15, cancel

}

;***************************************************
;   iniatialisation du tableau
;***************************************************

on 1:dialog:arf:init:*: {

  ; 1 ere page
  ;combo

  /var %cpt 1
  while ( %cpt <= $lines(remote/server) ) {
    /did -a arf 19 $read -l [ $+ [ %cpt ] ] remote/server
    /inc %cpt
  }

  if ( $server != $null ) {
    ;/did -m arf 11
    ;/did -m arf 13
  }
  /did -c arf 19 1
  ;/did -b arf 111
  ;/did -b arf 112
}

;***************************************************
;   controle de la 1ere page
;***************************************************

on 1:dialog:arf:sclick:111: {
  /var %server $$?="server"
  /did -a arf 19 %server
  /write remote/server %server
  /did -c arf 19 $lines($mircdirremote\server)
}


on 1:dialog:arf:sclick:112: {
  /write -dl $+ $did(arf,19).sel remote/server
  /did -r arf 19 $did(arf,19).sel


  /var %cpt 1
  while ( %cpt <= $lines($mircdirremote\server) ) {
    /did -a arf 19 $read -l [ $+ [ %cpt ] ] remote/server
    /inc %cpt
  }

  if ( $server != $null ) {
    /did -m arf 11
    /did -m arf 13
  }
  /did -c arf 19 1

}

;***************************************************
;   4controle de la 1ere page
;***************************************************

on 1:dialog:arf:sclick:400: { .tabinfo }
on 1:dialog:arf:sclick:401: { .tabnicklist }

on 1:dialog:arf:sclick:402: {
  if ( $did(402).state == 0 ) { 
    /did -b arf 401
  }
  if ( $did(402).state == 1 ) {
    /did -e arf 401
  }
}

;***************************************************
;   bouton ok de fin et de connection
;***************************************************

on 1:dialog:arf:sclick:69,113: {

  ;1ere page
  if ( $did(arf,11).edited == $true ) { /.nick $did(arf,11).text | /writeini mirc.ini mirc nick $did(arf,11).text }
  if ( $did(arf,13).edited == $true ) { /.anick $did(arf,13).text | /writeini mirc.ini mirc anick $did(arf,13).text }
  if ( $did(arf,15).edited == $true ) { /.fullname $did(arf,15).text | /writeini mirc.ini mirc user $did(arf,15).text }
  if ( $did(arf,17).edited == $true ) { /.emailaddr $did(arf,17).text | /writeini mirc.ini mirc email $did(arf,17).text  }

  ;choix du combo
  /var %cpt 1
  while ( %cpt <= $readini tableau.ini server nbrserv ) {
    if ( $did(arf,19,1).sel == %cpt ) { 
      /var %a 
      %a = n $+ %cpt    
      /writeini tableau.ini base serveur $readini tableau.ini server %a 
    }  
    /inc %cpt
  }

  if ( $did == 113 ) {
    /server $did(arf,19,$did(arf,19,1).sel).text
    /dialog -x arf
  }
}
on 1:dialog:arf:sclick:69,114: {

  ;1ere page
  if ( $did(arf,11).edited == $true ) { /.nick $did(arf,11).text }
  if ( $did(arf,13).edited == $true ) { /.anick $did(arf,13).text }
  if ( $did(arf,15).edited == $true ) { /.fullname $did(arf,15).text }
  if ( $did(arf,17).edited == $true ) { /.emailaddr $did(arf,17).text $+ @voila.fr }

  ;choix du combo
  /var %cpt 1
  while ( %cpt <= $readini tableau.ini server nbrserv ) {
    if ( $did(arf,19,1).sel == %cpt ) { 
      /var %a 
      %a = n $+ %cpt    
      /writeini tableau.ini base serveur $readini tableau.ini server %a 
    }  
    /inc %cpt
  }

  if ( $did == 114 ) {
    /server -m $did(arf,19,$did(arf,19,1).sel).text
    /dialog -x arf
  }
}


;***************************************************
;   bouton ok de fin
;***************************************************

on 1:dialog:info:sclick:69: {
  ;1ere page
  if ( $did(info,1).edited == $true ) { 
    if ( $did(info,1).text != $null ) {
      /set %asv $did(info,1).text 
    }
    else {
      /set %asv ""
    }


    if ( $did(info,2).edited == $true ) { 
      if ( $did(info,2).text != $null ) {
        /set %mail $did(info,2).text 
      }
      else {
        /set %mail ""
      }
    }

    if ( $did(info,3).edited == $true ) { 
      if ( $did(info,3).text != $null ) {
        /set %url $did(info,3).text 
      }
      else {
        /set %url ""
      }
    }
  }
}


Button "ok"      , 69, 15 150 30 15, ok
}

#espione off
;Ceci rpte tout ce que tlm dit.
on *:text:*:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:< $$+ $nick  $$+ > $1-
;Ceci rpte les actions
on *:action:*:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3* $nick $1-
;Ceci dit qui se joint au chan
on *:join:%link1: /msg %link2 3*** $nick has joined %link1
;Ceci rpte ceux qui quittent le chan
on *:part:%link1: /msg %link2 3*** $nick has left %link1
;Ceci rpte ceux qui quittent l'IRC
on *:quit:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:2*** $nick has quit IRC ( $+ $1- $+ )
;Ceci rpte les changements de nick
on *:nick:%link1: /msg %link2 3*** $nick is known as $newnick
;Ceci rpte les op
on *:op:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $nick set +o $opnick
;Ceci rpte les deop
on *:deop:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $nick set -o $opnick
;Ceci rpte les bans
on *:ban:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $nick set +b $bnick
;Ceci rpte les unbans
on *:unban:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $nick set -b $1-
;Ceci rpte les kicks
on *:kick:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $knick was kicked by $nick ( $+ $2- $+ )
;Ceci rpte les topics
on *:topic:%link1: /msg %link2 12[4 $$+ %link1 $$+ 12]3:3*** $nick changes topic to ' $+ $chan(%link1).topic
;Ceci rpte les modes
on *:mode:%link1: /msg %link2  12[4 $$+ %link1 $$+ 12]3:3*** $nick set mode $1-
#espione end
;Roulez les ds!
;----------------------

alias Des {
/me 10,0a AcTiV SoN Jeu PlaTTe DeS DS!! CriVeZ 1,0!ROULE 10,0 , Et TesTeZ VoTre MalChanCe!!! 1,0(15 Et MoiNs PouR GaGneR - LeS PriX GaGnS Ne SonT paS DDucTibLeS D'iMPT)
/.enable #de
}

alias FinDes {
/say 10,0Bon J'Me SuiS FaiT AssEz D'aRgEnT AveC VouS. Le Jeu de DS Est DSacTiV. ReVeNez JouEr QuaND VouS AuReZ VoTre ProChain ChQue De B.S.
/.disable #de
}

#de off
ON 1:TEXT:*!roule*:#:{
msg $chan 10,0LeS DS RouLe PouR1,0 $nick 10,0
set %Dice $rand(1,100)
if (15 > %dice) { msg $chan 1,0FLiCiTaTioN, VouS AveZ Eu10,0 %dice 1,0!!! VouS AvEz DonC GaGN....10,0 $read desgagnant.txt }
else { msg $chan 1,0OuIN T'aS Eu10,0 %Dice 1,0... Tu PeRdS DonC10,0 $read desperdant.txt }
}
#de end
